> For the complete documentation index, see [llms.txt](https://docs.sonoransoftware.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sonoransoftware.com/cad/api-integration/api-endpoints-v2/general/accounts/account-object.md).

# Account Object

The Account Object is returned by the following endpoints:

* [Get Account](/cad/api-integration/api-endpoints-v2/general/accounts/get-account.md) — returns a single Account Object
* [Get Accounts](/cad/api-integration/api-endpoints-v2/general/accounts/get-accounts.md) — returns an array of Account Objects under the `accounts` field

## Schema

| Field             | Type              |
| ----------------- | ----------------- |
| `uuid`            | string (uuid)     |
| `username`        | string            |
| `communityUserId` | string            |
| `status`          | integer           |
| `joined`          | string (ISO 8601) |
| `lastLogin`       | string (ISO 8601) |
| `permissions`     | object            |

## Example

```json
{
  "uuid": "00000000-0000-0000-0000-000000000000",
  "username": "ExampleUser",
  "communityUserId": "player-1234",
  "status": 1,
  "joined": "2026-01-14T18:22:00Z",
  "lastLogin": "2026-04-08T20:55:00Z",
  "permissions": {
    "police": true,
    "admin": false,
    // Rest of the permissions, see below
  }
}
```

## Enumeration Values

### ACCOUNT\_STATUS

| Value | Description |
| ----- | ----------- |
| `0`   | `PENDING`   |
| `1`   | `VALIDATED` |
| `2`   | `EXPIRED`   |
| `3`   | `REMOVED`   |
| `4`   | `BANNED`    |

## Permissions

| Field                     | Type    |
| ------------------------- | ------- |
| `admin`                   | boolean |
| `adminAccounts`           | boolean |
| `adminCustomization`      | boolean |
| `adminDepartments`        | boolean |
| `adminDiscordIntegration` | boolean |
| `adminInGameIntegration`  | boolean |
| `adminLimits`             | boolean |
| `adminLogs`               | boolean |
| `adminPenalCodes`         | boolean |
| `adminPermissionKeys`     | boolean |
| `adminTenCodes`           | boolean |
| `civilian`                | boolean |
| `dispatch`                | boolean |
| `dmv`                     | boolean |
| `dmvRecAdd`               | boolean |
| `dmvRecEdit`              | boolean |
| `dmvRecRemove`            | boolean |
| `dmvSuper`                | boolean |
| `ems`                     | boolean |
| `fire`                    | boolean |
| `fireRecAdd`              | boolean |
| `fireRecEdit`             | boolean |
| `fireRecRemove`           | boolean |
| `fireSuper`               | boolean |
| `lawRecAdd`               | boolean |
| `lawRecEdit`              | boolean |
| `lawRecRemove`            | boolean |
| `lawSuper`                | boolean |
| `lawyer`                  | boolean |
| `liveMap`                 | boolean |
| `medRecAdd`               | boolean |
| `medRecEdit`              | boolean |
| `medRecRemove`            | boolean |
| `medSuper`                | boolean |
| `modifyStreetSigns`       | boolean |
| `police`                  | boolean |
| `polEditOtherUnit`        | boolean |
| `polEditUnit`             | boolean |
| `polRecAdd`               | boolean |
| `polRecEdit`              | boolean |
| `polRecRemove`            | boolean |
| `polSuper`                | boolean |
| `selfDispatch`            | boolean |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sonoransoftware.com/cad/api-integration/api-endpoints-v2/general/accounts/account-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
